import { localizeWithPath } from '../../../../nls.js';
import { registerColor } from '../colorUtils.js';
import { contrastBorder, activeContrastBorder } from './baseColors.js';
import { selectForeground, selectBackground } from './inputColors.js';
import { listActiveSelectionForeground, listActiveSelectionBackground } from './listColors.js';
const menuBorder = registerColor('menu.border', { dark: null, light: null, hcDark: contrastBorder, hcLight: contrastBorder }, ( localizeWithPath(
 'vs/platform/theme/common/colors/menuColors',
 'menuBorder',
 "Border color of menus."
)));
const menuForeground = registerColor('menu.foreground', { dark: selectForeground, light: selectForeground, hcDark: selectForeground, hcLight: selectForeground }, ( localizeWithPath(
 'vs/platform/theme/common/colors/menuColors',
 'menuForeground',
 "Foreground color of menu items."
)));
const menuBackground = registerColor('menu.background', { dark: selectBackground, light: selectBackground, hcDark: selectBackground, hcLight: selectBackground }, ( localizeWithPath(
 'vs/platform/theme/common/colors/menuColors',
 'menuBackground',
 "Background color of menu items."
)));
const menuSelectionForeground = registerColor('menu.selectionForeground', { dark: listActiveSelectionForeground, light: listActiveSelectionForeground, hcDark: listActiveSelectionForeground, hcLight: listActiveSelectionForeground }, ( localizeWithPath(
 'vs/platform/theme/common/colors/menuColors',
 'menuSelectionForeground',
 "Foreground color of the selected menu item in menus."
)));
const menuSelectionBackground = registerColor('menu.selectionBackground', { dark: listActiveSelectionBackground, light: listActiveSelectionBackground, hcDark: listActiveSelectionBackground, hcLight: listActiveSelectionBackground }, ( localizeWithPath(
 'vs/platform/theme/common/colors/menuColors',
 'menuSelectionBackground',
 "Background color of the selected menu item in menus."
)));
const menuSelectionBorder = registerColor('menu.selectionBorder', { dark: null, light: null, hcDark: activeContrastBorder, hcLight: activeContrastBorder }, ( localizeWithPath(
 'vs/platform/theme/common/colors/menuColors',
 'menuSelectionBorder',
 "Border color of the selected menu item in menus."
)));
const menuSeparatorBackground = registerColor('menu.separatorBackground', { dark: '#606060', light: '#D4D4D4', hcDark: contrastBorder, hcLight: contrastBorder }, ( localizeWithPath(
 'vs/platform/theme/common/colors/menuColors',
 'menuSeparatorBackground',
 "Color of a separator menu item in menus."
)));
export { menuBackground, menuBorder, menuForeground, menuSelectionBackground, menuSelectionBorder, menuSelectionForeground, menuSeparatorBackground };
