import { ServiceIdentifier } from '../../../../platform/instantiation/common/instantiation.js';
import { CancellationToken } from '../../../../base/common/cancellation.js';
import { ISettingsEditorModel, ISearchResult } from '../../../services/preferences/common/preferences.js';

declare const IPreferencesSearchService: ServiceIdentifier<IPreferencesSearchService>;
interface IPreferencesSearchService {
    readonly _serviceBrand: undefined;
    getLocalSearchProvider(filter: string): ISearchProvider;
    getRemoteSearchProvider(filter: string, newExtensionsOnly?: boolean): ISearchProvider | undefined;
}
interface ISearchProvider {
    searchModel(preferencesModel: ISettingsEditorModel, token?: CancellationToken): Promise<ISearchResult | null>;
}

export { IPreferencesSearchService, type ISearchProvider };
