import { ServiceIdentifier } from '../../../../platform/instantiation/common/instantiation.js';
import '../../../../editor/editor.api.js';
import { ResolvedKeybindingItem } from '../../../../platform/keybinding/common/resolvedKeybindingItem.js';

declare const IKeybindingEditingService: ServiceIdentifier<IKeybindingEditingService>;
interface IKeybindingEditingService {
    readonly _serviceBrand: undefined;
    addKeybinding(keybindingItem: ResolvedKeybindingItem, key: string, when: string | undefined): Promise<void>;
    editKeybinding(keybindingItem: ResolvedKeybindingItem, key: string, when: string | undefined): Promise<void>;
    removeKeybinding(keybindingItem: ResolvedKeybindingItem): Promise<void>;
    resetKeybinding(keybindingItem: ResolvedKeybindingItem): Promise<void>;
}

export { IKeybindingEditingService };
